Bug 38753 - FSCK fails on reboot/system start after upgrade
Summary: FSCK fails on reboot/system start after upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-02 14:53 UTC by Chip Humphreys
Modified: 2005-10-31 22:00 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-05-15 17:30:46 UTC


Attachments (Terms of Use)

Description Chip Humphreys 2001-05-02 14:53:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


After upgrading to 7.1 from 6.1 the system fails to come up in RL3 but 
rather bombs out on the fsck and drops to RL1 - maintenace mode. 

Did we not see this in RH 6.1 where there was a problem with the 
initscripts not shutting down the system in a clean state.

http://www.redhat.com/support/errata/RHSA-1999-052.html
http://www.redhat.com/support/errata/RHEA-1999-047.html
(At least it happened before and these fixed it)
I can run an fsck/e2fsck on the affected filesystem with no 
PII 266Mhz - 64 Mb RAM - 128 Mb SWAP configured
/dev/hda - Seagate 4.6GB
/dev/hdb - IBM Deskstor 10.1 GB 
Both drives have worked flawlessly and there is no reason to believe there 
is any corruption on any filesystems - nothing to cause it

I am willing to allow one of your techs to telnet to my machine if it is 
deemed this is something that may better serve the community. Of course 
you will need to contact me. 

cbh303@mnsinc.com

Reproducible: Always
Steps to Reproduce:
1.Either start the machine or reboot
2.
3.
	

Actual Results:  Fails the startup due to reported problems reported by 
fsck. When the fsck is then run manually there are no errors and mount -a 
works allowing a telinit 3 to be accomplished and then I am on the system. 

Of course this is sort of a problem as I will never be able to tell for 
sure whether the really is a problem or not.

Expected Results:  There should have been no problem since there was no 
file system corruption reported by the fsck when it was run manually

Comment 1 Florian La Roche 2001-05-08 20:13:21 UTC
What is the error output when you e2fsck is started at bootup and exits?

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.